#
# spec file for package perl-Class-Mix
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Class-Mix
Name:           perl-Class-Mix
Version:        0.6.0
Release:        1.1
# 0.006 -> normalize -> 0.6.0
%define cpan_version 0.006
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Dynamic class mixing
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Classify)
BuildRequires:  perl(parent)
Requires:       perl(Params::Classify)
Requires:       perl(parent)
Provides:       perl(Class::Mix) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
The 'mix_class' function provided by this module dynamically generates
`anonymous' classes with specified inheritance.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Tue Jun  3 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Mon Jul 31 2017 coolo@suse.com
- updated to 0.006
  see /usr/share/doc/packages/perl-Class-Mix/Changes
  version 0.006; 2017-07-30
  * no longer include a Makefile.PL in the distribution
  * in documentation, use four-column indentation for all verbatim
    material
  * in META.{yml,json}, point to public bug tracker
* Fri Jan 22 2016 ncutler@suse.com
- initial package 0.005 was missing changes file
- regenerated spec file using cpanspec 1.78.08
